package de.dhbwstuttgart.target.tree.type;

public record TargetGenericType(String name) implements TargetType {
    @Override
    public String toDescriptor() {
        return "Ljava/lang/Object;"; // TODO Use bounds for this?
    }

    @Override
    public String toSignature() {
        return "T" + getInternalName() + ";";
    }

    @Override
    public String getInternalName() {
        return name;
    }

    @Override
    public String toString() {
        return "'" + name;
    }
}
